<?php

namespace App\Enums;

enum UserTypes: string
{
    case ULTIMATE = 'ult';
    case SUPER_OPERATOR = 'super operator';
    case OPERATOR = 'operator';
    case COORDINATOR = 'coordinator';
    case COOP_OFFICER = 'coop officer';
    case COOP_MEMBER = 'coop member';
    case SUPPLIER_OVERSEER = 'supplier overseer';
    case WHOLESALE_BUYER = 'wholesale buyer';
    case SUPPLIER = 'supplier';
    case STORE_OWNER = 'store owner';
    case STORE_MANAGER = 'store manager';
    case USER = 'user';
    case RIDER = 'rider';
    case AUDIT = 'audit';
    case POS_TERMINAL = 'pos terminal';

    case ANY_USER = 'default';
    case PUBLIC = 'public';

}
